<?php

namespace WpBookingProFrontend\app\controllers;

use WpBookingPro\Factory;
use WpBookingPro\Filesystem\Support\StringController;
use WpBookingPro\Mvc\Controller\ControllerFrontend;
use WpBookingPro\Mvc\Model\Model;
use WpBookingPro\Utilities\Utility;
use WpBookingProFrontend\app\helpers\ConfigHelper;
use WpBookingProFrontend\app\helpers\EmailHelper;

defined('_WPBOOKINGPRO_EXEC') or die;

/**
 * Class BlockController
 */
class WishlistController extends ControllerFrontend
{
    public function save_user_wishlist()
    {
        $input = Factory::getInput();
        $data = $input->getData();
        $modelWishlist = Model::getInstance('wishlist');
        $modelWishlist->saveUserWishlist($data);
    }

    public function delete_user_wishlist() {
        $input = Factory::getInput();
        $data = $input->getData();
        $modelWishlist = Model::getInstance('wishlist');
        $modelWishlist->deleteUserWishlist($data);
    }

}
